deployable assets
Create deployable assets invoke
Requires scopes: runs:write
POST
/
api
/
deployable-assets
/
{id}
/
invoke
Create deployable assets invoke
curl --request POST \
--url https://evalgate.com/api/deployable-assets/{id}/invoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {},
"idempotencyKey": "<string>",
"inputClassification": "public",
"requestKey": "<string>",
"stream": false
}
'import requests
url = "https://evalgate.com/api/deployable-assets/{id}/invoke"
payload = {
"input": {},
"idempotencyKey": "<string>",
"inputClassification": "public",
"requestKey": "<string>",
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {},
idempotencyKey: '<string>',
inputClassification: 'public',
requestKey: '<string>',
stream: false
})
};
fetch('https://evalgate.com/api/deployable-assets/{id}/invoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invocation": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deploymentId": "<string>",
"artifactId": 123,
"artifactVersionId": 123,
"shadowVersionId": 123,
"environment": "<string>",
"cohort": "<string>",
"idempotencyKey": "<string>",
"inputHash": "<string>",
"input": {},
"output": {},
"outputHash": "<string>",
"status": "<string>",
"gatewayExecuted": true,
"modelCallId": "<string>",
"traceEvidence": {},
"costEvidence": {},
"policyEvidence": {},
"budgetReservedUsd": "<string>",
"latencyMs": 123,
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"replayed": true,
"stream": null
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
inputClassification
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
required
Available options:
public Available options:
false ⌘I
Create deployable assets invoke
